Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194732 - EJB jBPM application throws an exception when trying to access asset-mgmt deployment
Summary: EJB jBPM application throws an exception when trying to access asset-mgmt dep...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER6
: 6.1.0
Assignee: Alessandro Lazarotti
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 16:08 UTC by Radovan Synek
Modified: 2020-03-27 20:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:13:06 UTC
Type: Bug


Attachments (Terms of Use)
server log excerpt (59.77 KB, text/plain)
2015-02-20 16:08 UTC, Radovan Synek
no flags Details

Description Radovan Synek 2015-02-20 16:08:41 UTC
Created attachment 993949 [details]
server log excerpt

Having deployed Business Central, after deployment of  EJB jBPM application errors show in server log when it tries to access asset mgmt deployment unit. This deployment unit has been created by Business Central and EJB application has no asset mgmt inside (there is no need to have it there). So far, the application tries to synchronize all deployment units with Business Central (through shared DB schema). Would it be possible to skip processing of some deployment unit ?

Comment 1 Maciej Swiderski 2015-02-23 17:41:54 UTC
fixed by enhancing deployment synchronize that utilizes attributes that are part of deployment store entry entity - which was actually designed for such purpose
From now asset-mgmt project/kjar won't be sync over db as whenever kie-wb/kie-drools-wb is deployed it will always get deployed as part of startup procedure using deployment provider so it will work in cluster as well.

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/181d910665d6f11e2cd39f7d129320c1b3fddcf2

6.2.x:
https://github.com/droolsjbpm/jbpm/commit/4b7f13eaa8329e3dd15f5a227576bca57584f24b

jbpm-console-ng
master:
https://github.com/droolsjbpm/jbpm-console-ng/commit/d33ac5c19c6d6be7458fecc1c4082b29d3d0cb79

6.2.x:
https://github.com/droolsjbpm/jbpm-console-ng/commit/7a72f1675c7d84987a532e480d1dcdb4265e307d

Comment 3 Radovan Synek 2015-03-11 15:45:04 UTC
Verified with BPMS-6.1.0.ER6


Note You need to log in before you can comment on or make changes to this bug.